## org.hibernate.engine.jdbc.batch.spi
Interface BatchKey

All Known Implementing Classes:
  BasicBatchKey

    public interface BatchKey

Unique key for batch identification.

Method Summary
`int` `getBatchedStatementCount()` How many statements will be in this batch? Note that this is distinctly different than the size of the batch.
`Expectation` `getExpectation()` Get the expectation pertaining to the outcome of the `Batch` associated with this key.

Method Detail

### getBatchedStatementCount

    int getBatchedStatementCount()

  How many statements will be in this batch?

  Note that this is distinctly different than the size of the batch.

  Returns:
    The number of statements.

### getExpectation

    Expectation getExpectation()

  Get the expectation pertaining to the outcome of the `Batch` associated with this key.

  Returns:
    The expectations

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.